using UnityEngine;
using System.Collections;

public class StoryTrigger : InteractiveElement
{
    public override bool UpdateElement()
    {
        if(!m_Active)
            return false;

        if (m_Trigger != null && m_Trigger.IsIn)
        {
            m_Active = false;
            return true;
        }
        return false;
    }
}